Application ProvidersUpdate merchant application payment provider payment methods

Update merchant application payment provider payment methods

Updates the enabled payment methods for the configured payment provider on the given application. The application must belong to the authenticated merchant.

curl -X PATCH "https://api.example.com/api/v1/applications/example_string/providers/stripe/payment-methods" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "paymentMethods": [
    "card",
    "blik"
  ]
}'
{
  "applicationId": "00000000-0000-0000-0000-000000000000",
  "provider": "stripe",
  "isActive": true,
  "paymentMethods": [
    "card",
    "blik"
  ],
  "keyFingerprint": "rk_live_****x1sf",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}
PATCH
/api/v1/applications/{applicationId}/providers/{providerName}/payment-methods
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

path
applicationIdstring
Required

ID of the application that owns the provider configuration.

path
providerNamestring
Required

Name identifier of the payment provider whose payment methods are updated.

Content-Typestring
Required

The media type of the request body

Options: application/json
paymentMethodsarray
Required

Payment method types to enable for this provider.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Path Parameters

applicationIdstring
Required

ID of the application that owns the provider configuration.

providerNamestring
Required

Name identifier of the payment provider whose payment methods are updated.

Example:
stripe

Body

application/json
paymentMethodsarray
Required

Payment method types to enable for this provider.

Example:
["card","blik"]

Responses

applicationIdstring
Required

Merchant application ID this configuration belongs to.

providerstring
Required

Payment provider name.

isActiveboolean
Required

Whether the configuration is active.

paymentMethodsstring[]
Required

Enabled payment method types.

keyFingerprintobject
Required

First 8 characters and last 4 characters of the API key with the middle redacted. Used to identify the key without exposing its value.

createdAtstring
Required

Creation timestamp.

updatedAtobject

Last update timestamp.